* gph_fig14_6.do

* Choose the directory where you store the files for the book.
* In the book's examples the command is -cd C:\docs\ishr4-

use ras.dta, clear

bysort stenosis: cumul crea, generate(cum) equal
replace cum = 1-cum if stenosis==1

set scheme lean1
twoway                                                  ///
   (line cum crea if stenosis==1, sort)                 ///
   (line cum crea if stenosis==0, sort lpattern("-##")) ///
   ,                                                    ///
   legend(order(1 "Sensitivity" 2 "Specificity"))       ///
   ytitle("") plotregion(margin(b=0 t=0))               ///
   ylabel(, format(%03.1f))                             ///
   xsize(3.4) ysize(1.9) scale(1.5)
