* gph_fig13_4.do

* Choose the directory where you store the files for the book.
* In the book's examples the command is -cd C:\docs\ishr4-

use "compliance2.dta", clear
stset enddate, failure(died==1) enter(randate) origin(randate) ///
   scale(365.25) id(id)
stcox b0.particip i.ranagr

xi i.ranagr 
set scheme lean1

stphplot, strata(particip) adjust(_Iranagr*) nolntime   ///
   plot1(msymbol(i) lwidth(thin))                       ///
   plot2(msymbol(i) lwidth(medthick))                   ///
   xtitle("Years since randomization")                  ///
   name(p1, replace) legend(ring(0) pos(1))
  
stphplot, strata(ranagr) adjust(particip) nolntime       ///
   plot1(msymbol(i) lpattern(dash))                      ///
   plot2(msymbol(i) lwidth(medthick))                    ///
   plot3(msymbol(i) lwidth(thin))                        ///
   plot4(msymbol(i) lpattern(longdash) lwidth(medthick)) ///
   plot5(msymbol(i) lwidth(vthin) lpattern(dash))        ///
   xtitle("Years since randomization")                   ///
   name(p2, replace) legend(ring(0) pos(1))
 
graph combine p1 p2, xsize(5) ysize(2.2) iscale(1.25)

